Package org.eclipse.m2m.atl.debug.core

# Class AtlDebugElement

java.lang.Object
org.eclipse.core.runtime.PlatformObject
org.eclipse.m2m.atl.debug.core.AtlDebugElement

All Implemented Interfaces:
  `org.eclipse.core.runtime.IAdaptable`, `org.eclipse.debug.core.model.IDebugElement`

Direct Known Subclasses:
  `AtlDebugTarget`, `AtlStackFrame`, `AtlThread`, `AtlValue`, `AtlVariable`

public abstract class AtlDebugElement extends org.eclipse.core.runtime.PlatformObject implements org.eclipse.debug.core.model.IDebugElement
An abstract class to mark debugged elements.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected AtlDebugTarget`
`fTarget`
containing target.

## Constructor Summary

Constructors
Constructor
Description
`AtlDebugElement(AtlDebugTarget target)`
Constructs a new debug element contained in the given debug target.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`abort(String message, Throwable e)`
Aborts the current debug.
`<T> T`
`getAdapter(Class<T> adapter)`
`org.eclipse.debug.core.model.IDebugTarget`
`getDebugTarget()`
`org.eclipse.debug.core.ILaunch`
`getLaunch()`
`String`
`getModelIdentifier()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### fTarget

protected AtlDebugTarget fTarget
containing target.

## Constructor Details

### AtlDebugElement

public AtlDebugElement(AtlDebugTarget target)
Constructs a new debug element contained in the given debug target.

Parameters:
  `target` - debug target (PDA VM)

## Method Details

### getModelIdentifier

public String getModelIdentifier()

Specified by:
  `getModelIdentifier` in interface `org.eclipse.debug.core.model.IDebugElement`

### getDebugTarget

public org.eclipse.debug.core.model.IDebugTarget getDebugTarget()

Specified by:
  `getDebugTarget` in interface `org.eclipse.debug.core.model.IDebugElement`
See Also:
  - `IDebugElement.getDebugTarget()`

### getLaunch

public org.eclipse.debug.core.ILaunch getLaunch()

Specified by:
  `getLaunch` in interface `org.eclipse.debug.core.model.IDebugElement`
See Also:
  - `IDebugElement.getLaunch()`

### getAdapter

public <T> T getAdapter(Class<T> adapter)

Specified by:
  `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`
Overrides:
  `getAdapter` in class `org.eclipse.core.runtime.PlatformObject`
See Also:
  - `PlatformObject.getAdapter(java.lang.Class)`

### abort

protected void abort(String message, Throwable e) throws org.eclipse.debug.core.DebugException
Aborts the current debug.

Parameters:
  `message` - abort message
  `e` - exception
Throws:
  `org.eclipse.debug.core.DebugException`